Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 02 Jun 2021 15:48:28 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear Sirs,

This refers to the order No. 8258806428.

I placed this order on 6/5/2021 for 4 items. One item was cancelled from CenterPoint and three items were delivered to my address. Out of these three items, 2 items were requested to return and be refunded. The courier came and collected these two items on 10/5/2021.

Up-to-date no refund was made. I called your online staff several times and their answer was that they didn’t receive these 2 items from the courier. This issue is between you and the courier and it is not my responsibility. I have been waiting since 10/5/2021 for the refund and no action was taken from your side. 

I was trying to contact your number 1800871 but nobody answers. In order to get in touch with your staff, I always call home Centre staff and ask them to transfer me to CenterPoint .

I am really upset with the service and I need a manager in charge to talk to me. My mobile is 0096599872953. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2652919